Package org.apache.tomcat.util.descriptor.web

## Class ContextResource

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextResource

All Implemented Interfaces:
  `java.io.Serializable`, `Injectable`

    public class ContextResource
    extends ResourceBase

Representation of a resource reference for a web application, as represented in a `<resource-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContextResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getAuth()`
`java.lang.String` `getCloseMethod()`
`boolean` `getCloseMethodConfigured()`
`java.lang.String` `getScope()`
`boolean` `getSingleton()`
`int` `hashCode()`
`void` `setAuth​(java.lang.String auth)`
`void` `setCloseMethod​(java.lang.String closeMethod)`
`void` `setScope​(java.lang.String scope)`
`void` `setSingleton​(boolean singleton)`
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextResource

    public ContextResource()

### Method Detail

#### getAuth

    public java.lang.String getAuth()

#### setAuth

    public void setAuth​(java.lang.String auth)

#### getScope

    public java.lang.String getScope()

#### setScope

    public void setScope​(java.lang.String scope)

#### getSingleton

    public boolean getSingleton()

#### setSingleton

    public void setSingleton​(boolean singleton)

#### getCloseMethod

    public java.lang.String getCloseMethod()

#### setCloseMethod

    public void setCloseMethod​(java.lang.String closeMethod)

#### getCloseMethodConfigured

    public boolean getCloseMethodConfigured()

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `ResourceBase`